> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Compliance Summary



## OpenAPI

````yaml /api-reference/openapi.json get /api/compliance/summary
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/compliance/summary:
    get:
      tags:
        - compliance
      summary: Get Compliance Summary
      operationId: get_compliance_summary_api_compliance_summary_get
      parameters:
        - name: dataset_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              Optional dataset UUIDs to scope the summary to a subset of
              datasets.
            title: Dataset Ids
          description: Optional dataset UUIDs to scope the summary to a subset of datasets.
        - name: time_start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Optional ISO timestamp marking the beginning of the reporting
              window.
            title: Time Start
          description: >-
            Optional ISO timestamp marking the beginning of the reporting
            window.
        - name: time_end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Optional ISO timestamp marking the end of the reporting window.
            title: Time End
          description: Optional ISO timestamp marking the end of the reporting window.
        - name: activity_limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 2000
            minimum: 1
            description: Maximum number of activity events returned in the response.
            default: 200
            title: Activity Limit
          description: Maximum number of activity events returned in the response.
        - name: critical_limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: Maximum number of critical changes returned in the response.
            default: 100
            title: Critical Limit
          description: Maximum number of critical changes returned in the response.
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComplianceSummaryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ComplianceSummaryResponse:
      properties:
        generated_at:
          type: string
          format: date-time
          title: Generated At
        kpis:
          $ref: '#/components/schemas/ComplianceKpis'
        datasets:
          items:
            $ref: '#/components/schemas/ComplianceDatasetStat'
          type: array
          title: Datasets
        activity:
          items:
            $ref: '#/components/schemas/ComplianceActivityEvent'
          type: array
          title: Activity
        activity_stats:
          $ref: '#/components/schemas/ComplianceActivityStats'
        critical_changes:
          items:
            $ref: '#/components/schemas/ComplianceCriticalChange'
          type: array
          title: Critical Changes
      type: object
      required:
        - generated_at
        - kpis
        - activity_stats
      title: ComplianceSummaryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ComplianceKpis:
      properties:
        total_datasets:
          type: integer
          title: Total Datasets
          default: 0
        total_scans:
          type: integer
          title: Total Scans
          default: 0
        active_scans:
          type: integer
          title: Active Scans
          default: 0
        failed_scans:
          type: integer
          title: Failed Scans
          default: 0
        total_reports:
          type: integer
          title: Total Reports
          default: 0
        critical_changes:
          type: integer
          title: Critical Changes
          default: 0
      type: object
      title: ComplianceKpis
    ComplianceDatasetStat:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        dataset_name:
          type: string
          title: Dataset Name
        dataset_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Type
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        vulnerabilities:
          type: integer
          title: Vulnerabilities
          default: 0
        scan_count:
          type: integer
          title: Scan Count
          default: 0
        completed_scan_count:
          type: integer
          title: Completed Scan Count
          default: 0
        failed_scan_count:
          type: integer
          title: Failed Scan Count
          default: 0
        report_count:
          type: integer
          title: Report Count
          default: 0
        critical_issue_count:
          type: integer
          title: Critical Issue Count
          default: 0
        source_provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Provider
        source_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Ref
        repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Url
        import_provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Import Provider
        upload_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Upload Source
        last_scan_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Scan At
        last_scan_actor:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Scan Actor
        last_activity_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Activity At
        project_names:
          items:
            type: string
          type: array
          title: Project Names
      type: object
      required:
        - dataset_id
        - dataset_name
      title: ComplianceDatasetStat
    ComplianceActivityEvent:
      properties:
        id:
          type: string
          title: Id
        event_type:
          type: string
          title: Event Type
        category:
          type: string
          title: Category
          default: activity
        summary:
          type: string
          title: Summary
        actor:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor
        dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Id
        dataset_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Name
        scan_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Id
        scan_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Type
        scan_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Status
        severity:
          type: string
          enum:
            - critical
            - high
            - medium
            - low
            - none
          title: Severity
          default: low
        critical:
          type: boolean
          title: Critical
          default: false
        details:
          type: object
          title: Details
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - event_type
        - summary
        - created_at
      title: ComplianceActivityEvent
    ComplianceActivityStats:
      properties:
        by_event_type:
          additionalProperties:
            type: integer
          type: object
          title: By Event Type
        by_actor:
          additionalProperties:
            type: integer
          type: object
          title: By Actor
        by_scan_status:
          additionalProperties:
            type: integer
          type: object
          title: By Scan Status
      type: object
      title: ComplianceActivityStats
    ComplianceCriticalChange:
      properties:
        id:
          type: string
          title: Id
        category:
          type: string
          title: Category
        title:
          type: string
          title: Title
        summary:
          type: string
          title: Summary
        dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Id
        dataset_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Name
        scan_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Id
        actor:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - category
        - title
        - summary
        - created_at
      title: ComplianceCriticalChange
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````